Bug 1570154 - External screens are broken after wake up from DPMS.
Summary: External screens are broken after wake up from DPMS.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: XFree86
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Erik Hamera
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 18:20 UTC by Erik Hamera
Modified: 2020-01-02 14:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:19:01 UTC
Type: Bug


Attachments (Terms of Use)
journalctl -b0; after the issue has occured (1008.62 KB, text/x-vhdl)
2018-04-20 18:20 UTC, Erik Hamera
no flags Details
Xorg log of clean boot (64.59 KB, text/plain)
2018-06-21 14:36 UTC, Erik Hamera
no flags Details

Description Erik Hamera 2018-04-20 18:20:48 UTC
Created attachment 1424645 [details]
journalctl -b0; after the issue has occured

Description of problem:

When screens wakes up from DPMS-sleep, the DP-2-2 doesn't wake up and reports wrong resolution/frequency. Other two screens works perfectly.

The first time I have tried to fix it via setting it up via xrandr, but it failed.

The second time, I have let it go to the DPMS-sleep again. The state after wake up was the same as in the first time. 

eDP-1:  works during the whole time (internal laptop screen)
DP-2-2: doesn't wake up, bad graphic mode after next wake up
DP-2-1: works properly, when DP-2-2 doesn't wake up, bad graphic mode after next wake up

Thw bad graphics mode looks like booting PC with hi-res monosync CRT monitor in the old days - big letters, messed up synchronization, flickering image. It looks to be the same wrong on both external screens.

Going to DPMS-sleep and back several timed doesn't change the situation.

The laptop is in docking station and screens are connected via dock to DVI and VGA. The system hasn't been suspended during the period.

---
Version-Release number of selected component (if applicable):
Fedora 27
Worked without any problem 3.5 years on Fedora 19 and Fedora 24 with the same HW.

---
How reproducible:
The computer is in daily usage. It has occurred 9 days and 7 days after boot. There was several restarts before (after upgrade to f27) and I don't know the longest period it worked properly without restart.

---
Steps to Reproduce:
1. boot
2. use the computer more than a week
3. move mouse a bit 

Actual results:


Expected results:

---
Additional info:

These lines in dmesg may be a clue:
[629427.198330] [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe B
[629427.198353] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
[629427.202635] [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
[629427.202657] [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected 00000000482a53ee, found 00000000ac72d9bd)
[629427.202674] [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
[629427.202689] [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)
[632285.438311] [drm:intel_check_cpu_fifo_underruns [i915]] *ERROR* fifo underrun on pipe C

I don't understand the graphic subsystem enough to be sure, but time is about right.

# lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor DRAM Controller (rev 06)
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)
00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller (rev 06)
00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 8 Series/C220 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I217-LM (rev 04)
00:1a.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #1 (rev d4)
00:1c.1 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #2 (rev d4)
00:1c.2 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #3 (rev d4)
00:1d.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM87 Express LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series/C220 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5227 PCI Express Card Reader (rev 01)
04:00.0 Network controller: Intel Corporation Wireless 7260 (rev 83)

# xrandr
Screen 0: minimum 320 x 200, current 5760 x 1080, maximum 8192 x 8192
eDP-1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 344mm x 193mm
   1920x1080     60.06*+
   1400x1050     59.98  
   1280x1024     60.02  
   1280x960      60.00  
   1024x768      60.04    60.00  
   960x720       60.00  
   928x696       60.05  
   896x672       60.01  
   800x600       60.00    60.32    56.25  
   700x525       59.98  
   640x512       60.02  
   640x480       60.00    59.94  
   512x384       60.00  
   400x300       60.32    56.34  
   320x240       60.05  
VGA-1 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
HDMI-1 disconnected (normal left inverted right x axis y axis)
DP-2 disconnected (normal left inverted right x axis y axis)
HDMI-2 disconnected (normal left inverted right x axis y axis)
DP-2-1 connected 1920x1080+3840+0 (normal left inverted right x axis y axis) 509mm x 286mm
   1920x1080     60.00*+
   1680x1050     59.88  
   1280x1024     75.02    60.02  
   1440x900      59.90  
   1280x960      60.00  
   1280x720      60.00  
   1024x768      75.03    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   640x480       75.00    72.81    66.67    59.94  
   720x400       70.08  
DP-2-2 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080     60.00*+  50.00    59.94  
   1680x1050     59.88  
   1400x1050     59.95  
   1600x900      60.00  
   1280x1024     75.02    60.02  
   1440x900      59.90  
   1280x960      60.00  
   1280x800      59.91  
   1152x864      75.00  
   1280x720      60.00    50.00    59.94  
   1024x768      75.03    70.07    60.00  
   832x624       74.55  
   800x600       72.19    75.00    60.32    56.25  
   720x576       50.00  
   720x480       60.00    59.94  
   640x480       75.00    72.81    66.67    60.00    59.94  
   720x400       70.08  
DP-2-3 disconnected (normal left inverted right x axis y axis)

Comment 1 Erik Hamera 2018-05-15 16:36:47 UTC
The situation is even worse on Fedora 28.

The first part is the same: DPMS-wakeup of one (the same every time) screen fails.

But the next DPMS-wakeup wakes up the primary screen of the laptop only. There is nothing on it (the X background or just plain white - I'm not sure) and the system crashes (unable to ssh into).

Comment 2 Erik Hamera 2018-05-20 16:20:42 UTC
Fedora 28:

[435568.766639] [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe B
[435568.766668] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
[435568.771252] [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 148500, found 296999)
[435568.771281] [drm:pipe_config_err [i915]] *ERROR* mismatch in shared_dpll (expected 00000000ad0538a4, found 00000000df89a77a)
[435568.771309] [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 148500, found 296999)
[435568.771337] [drm:pipe_config_err [i915]] *ERROR* mismatch in port_clock (expected 270000, found 540000)

Comment 3 Erik Hamera 2018-05-20 16:23:29 UTC
Switching to console and back triggers the same behaviour as on f27.

Even some workaround would be helpful.

Comment 4 Erik Hamera 2018-06-21 14:36:21 UTC
Created attachment 1453512 [details]
Xorg log of clean boot

The problem occurs even without any suspend/resume or docking/undocking after the last reboot.

This is Xorg log from clean boot. Don't mind the keyboards - there are two keyboards attached physically to the laptop - IBM Model M via USB converter (which isn't perfect, so it wan't to disconnect and connect it sometimes) and one USB multimedial keyboard just for the extra buttons/scancodes/keycodes. 

At 53.083 was called xrandr to rearrange screens from xzy to xyz.

Comment 5 Erik Hamera 2018-11-27 13:04:02 UTC
This issue is worse after upgrade to Fedora 29. 

It looks like related or the same issue as BZ1500193.

On older Fedoras, the issue has occured after DPMS sleep only. On F29 it occures after boot sometimes.

I'm not entirely sure if it's the same issue. It sent wrong signal to one of external screens on F28 (and earlier Fedoras) which caused black screen with out-of-range message from screen's firmware. Next DPMS sleep hangs up the system.

On F29 it affects both external screens instead of just one and the timing/frequency is not bad enough to let them go out-of-range, but picture is distorted. Try to fix it with xrandr hangs up the system.

Nov 27 12:45:38 office32 kernel: [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe B
Nov 27 12:45:38 office32 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Nov 27 12:45:38 office32 kernel: [drm:intel_check_cpu_fifo_underruns [i915]] *ERROR* fifo underrun on pipe C
Nov 27 12:44:24 office32 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=lvm2-lvmetad comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Nov 27 12:45:38 office32 kernel: [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe B
Nov 27 12:45:38 office32 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
Nov 27 12:45:38 office32 kernel: [drm:intel_check_cpu_fifo_underruns [i915]] *ERROR* fifo underrun on pipe C
Nov 27 12:50:11 office32 kernel: microcode: microcode updated early to revision 0x25, date = 2018-04-02
Nov 27 12:50:11 office32 kernel: Linux version 4.19.3-300.fc29.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 8.2.1 20181105 (Red Hat 8.2.1-5) (GCC)) #1 SMP Wed Nov 21 15:27:25 UTC 2018

Comment 6 Ben Cotton 2018-11-27 13:28:15 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 23:49:00 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Erik Hamera 2018-12-10 20:38:02 UTC
Reopening for Fedora 29.

This bug occured on the same HW the same way as reported on 27 on 28 many times. It has occured a few times on Fedora 29 too. It isn't fixed still.

Comment 9 Ben Cotton 2019-10-31 20:20:16 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-11-27 20:19:01 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Erik Hamera 2019-12-04 14:14:05 UTC
The situation is exactly the same on Fedora 30. I'll upgrade to f31, check it and reopen if it will be needed.


Note You need to log in before you can comment on or make changes to this bug.